Subject: bug#40572: installer networking: Connman detects no technologies on Acer Aspire

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 12 Apr 2020 18:34:43 +0200

On Sun, Apr 12, 2020 at 05:41:22PM +0200, pelzflorian (Florian Pelz) wrote:
> Manually running
> 
> herd start wpa-supplicant
> herd start networking
> 
> makes the installer work.
> 
> I will look at old bug reports.

I wonder if this could be related to
<https://issues.guix.gnu.org/issue/35550>.  Maybe my move to ever more
ancient and slow computers from ebay booted via DVD resurrected the
issue.  This is not what I hoped for at Easter.

Back then Ludo wrote
> I’ve tried running:
> 
> pkill wpa_supplicant
> while herd start wpa-supplicant ; do herd stop wpa-supplicant ; done
> 
> and that always works (i.e., no “failed to start ‘wpa-supplicant’”
> error.)
>
> If I run in parallel this:
> 
> while touch /var/run/wpa_supplicant.pid ; do : ; done
> 
> then it occasionally “fails to start”, but not very often.

No wpa_supplicant is running.  I run the above loops in two TTYs.
But I see no errors.

I will try make a new image with USB instead of DVD.

Regards,
Florian